Bug 1877996 - ksystemlog unable to save settings
Summary: ksystemlog unable to save settings
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ksystemlog
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-11 03:02 UTC by ascaris
Modified: 2021-05-25 16:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:43:43 UTC
Type: Bug


Attachments (Terms of Use)

Description ascaris 2020-09-11 03:02:32 UTC
Description of problem:
After changing any of the settings in the ksystemlog package (Fedora KDE Plasma spin), the Ok and Apply buttons remain grayed out and unavailable. It is thus impossible to save settings using the UI. 

Version-Release number of selected component (if applicable):
19.12.2 

Steps to Reproduce:
1.Install ksystemlog package from the repo (surprisingly, it is not part of the base install)
2. start ksystemlog
3. enter password for root access or press Ignore
4. Go to Settings -> Configure KSystemLog...

Actual results:
Ok and Apply buttons are grayed out, and they remain that way if you change a setting, making it impossible to save any changes. 

Expected results:
Ok and Apply buttons are not grayed out and can be used to save any changed settings.

Additional info: I tried installing the version from Fedora 31 and had the same result.

Comment 1 Fedora Program Management 2021-04-29 16:37:27 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-05-25 16:43:43 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.